Name:           libslirp
Version:        4.7.0
Release:        2
Summary:        A general purpose TCP-IP emulator

License:        BSD-3-Clause and MIT
URL:            https://gitlab.freedesktop.org/slirp/libslirp
Source0:        %{url}/-/archive/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:  git-core
BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  glib2-devel

%description
A general purpose TCP-IP emulator used by virtual machine hypervisors
to provide virtual networking services.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The libslirp-devel package contains libraries and header files for
developing applications that use libslirp.

%prep
%autosetup -S git_am

%build
%meson
%meson_build

%install
%meson_install

%files
%license COPYRIGHT
%doc README.md CHANGELOG.md
%{_libdir}/%{name}.so.0*

%files devel
%dir %{_includedir}/slirp/
%{_includedir}/slirp/*
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/slirp.pc

%changelog
* Fri Dec 16 2022 dingdingaaaaa <dingziwei@kylinos.cn> -4.7.0-2 
- License compliance rectification

* Tue Nov 08 2022 duyiwei <duyiwei@kylinos.cn> - 4.7.0-1
- upgrade version to 4.7.0

* Tue Jun 07 2022 duyiwei <duyiwei@kylinos.cn> - 4.6.1-1
- upgrade to 4.6.1 and fix CVE-2021-3952/3953/3954

* Wed Jan 26 2022 fushanqing <fushanqing@kylinos.cn> - 4.4.0-1
- Initial package
